- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Protected Attributes

# FbxLayerEntryView Class Reference

Search for all occurrences

## Detailed Description

FbxLayerEntryView encodes a layer element representation (the index of the layer, the type of the layer element and whether the layer element is a UVSet layer element) to a string stored in FbxBindingTableEntry and decodes the string back to a layer element representation.

This class is used in combination with FbxBindingTableEntry to represent a source or a destination FbxLayerElement.

See also:
  FbxBindingTableEntry and FbxBindingTable.

Definition at line 34 of file fbxlayerentryview.h.

`#include <fbxlayerentryview.h>`

Inheritance diagram for FbxLayerEntryView:
[legend]

List of all members.

## Public Member Functions
| FbxLayerEntryView (FbxBindingTableEntry *pEntry, bool pAsSource, bool pCreate=false)
| Constructor.
virtual | ~FbxLayerEntryView ()
| Destructor.
void | SetLayerElement (int pLayerIndex, FbxLayerElement::EType pType, bool pUVSet)
| Set the layer element for the binding entry.
void | GetLayerElement (int &pLayerIndex, FbxLayerElement::EType &pType, bool &pUVSet) const
| Get the layer element for binding entry.
FbxLayerElement * | GetLayerElement (FbxLayerContainer *pContainer) const
| Get the layer element for binding entry.
virtual const char * | EntryType () const
| Get the entry type.
## Static Public Attributes
static const char * | sEntryType
| Name of the entry type used in the binding entry.
## Static Protected Attributes
static const char * | sDelimiter

## Constructor & Destructor Documentation

FbxLayerEntryView | ( | FbxBindingTableEntry * | pEntry,
|  | bool | pAsSource,
|  | bool | pCreate = `false`
| ) |  |

Constructor.

Parameters:

  pEntry | The binding table entry to create the entry view for.
  pAsSource | `true` to create the entry view as source, `false` as destination.
  pCreate | `true` to create the entry view, `false` otherwise.

virtual ~FbxLayerEntryView | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void SetLayerElement | ( | int | pLayerIndex,
|  | FbxLayerElement::EType | pType,
|  | bool | pUVSet
| ) |  |

Search for all occurrences

Set the layer element for the binding entry.

Parameters:

  pLayerIndex | LayerElement index.
  pType | LayerElement type.
  pUVSet | Whether this is a UVSet LayerElement.

void GetLayerElement | ( | int & | pLayerIndex,
|  | FbxLayerElement::EType & | pType,
|  | bool & | pUVSet
| ) |  | const

Search for all occurrences

Get the layer element for binding entry.

Parameters:

  pLayerIndex | LayerElement index.
  pType | LayerElement type.
  pUVSet | Whether this is a UVSet LayerElement.

FbxLayerElement* GetLayerElement | ( | FbxLayerContainer * | pContainer | ) | const

Search for all occurrences

Get the layer element for binding entry.

Parameters:

  pContainer | FbxLayerContainer to get the layer element from.

Returns:
  The layer element for binding entry.

virtual const char* EntryType | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the entry type.

Returns:
  Entry type as string "FbxLayerEntry".

Remarks:
  Always use EntryType() to get the right entry type.

Reimplemented from FbxEntryView.

## Member Data Documentation

const char* sEntryType `[static]`

Search for all occurrences

Name of the entry type used in the binding entry.

It should be "FbxLayerEntry" in this case.

Reimplemented from FbxEntryView.

Definition at line 41 of file fbxlayerentryview.h.

const char* sDelimiter `[static, protected]`

Search for all occurrences

Definition at line 92 of file fbxlayerentryview.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxlayerentryview.h

FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView
FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView FbxLayerEntryView